# Interface methods for submodule: DynamicLoader
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ObjectProxy as _ObjectProxy


# Interface methods for class: DynamicLoader
class DynamicLoaderProxy(_ObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def OpenLibrary(arg0):
		""""""
		...

	@staticmethod
	def CloseLibrary(arg0) -> int:
		""""""
		...

	@staticmethod
	def GetSymbolAddress(arg0, arg1):
		""""""
		...

	@staticmethod
	def LibPrefix():
		""""""
		...

	@staticmethod
	def LibExtension():
		""""""
		...

	@staticmethod
	def LastError():
		""""""
		...

